## nntsc 2.13-1

=== debian/changelog ===
nntsc (2.13-1) unstable; urgency=low

  * Avoid recursive pika connections so that unstable connections don't cause
    python to crash when reaching maximum recursion depth.
  * Avoid using "default" (now a reserved word) as influx retention policy name.

 -- Brendon Jones <brendonj@waikato.ac.nz>  Thu,  6 Jul 2017 11:39:24 +1200

nntsc (2.12-1) unstable; urgency=low

  * Remove unused collections (lpi, munin, etc) and other unused files.
  * Update RRD smokeping to work again.
  * Remove pywandevent - it is now standalone and not part of nntsc.
  * Update license to GPL version 2.
  * Add "protocol" column to throughput test results.
  * Catch errors when dropping continuous queries from influx during install.

 -- Brendon Jones <brendonj@waikato.ac.nz>  Mon, 10 May 2017 15:45:28 +1200

nntsc (2.11-1) unstable; urgency=low

  * Add lossrate and throughput rate metrics to data tables.

 -- Brendon Jones <brendonj@waikato.ac.nz>  Wed,  1 Feb 2017 11:46:39 +1300

nntsc (2.10-1) unstable; urgency=low

  * Add support for 'min' and 'max' when querying matrix data.
  * Increase default retention policy to one year.
  * Add bytes to amp-http matrix continuous query.
  * Expand all HTTP matrix continuous queries to support relative metrics.
  * Fix influx query going too far back in time when overlapping postgres data.
  * Correctly detect duplicate stream keys.
  * Always re-create continuous queries when running build_nntsc_db.
  * Quieten some log messages that were not useful.

 -- Brendon Jones <brendonj@waikato.ac.nz>  Wed, 11 Jan 2017 10:54:14 +1300

nntsc (2.9-1) unstable; urgency=low

  * InfluxDB is now used to store results for all tests except traceroute.
  * InfluxDB continuous queries are used to aggregate data for the matrix
    (including traceroute path lengths).
  * PostgreSQL now only stores stream, meta, and traceroute path data.
  * Purge unused AS and IP paths hourly within nntsc to free memory.
  * Various reliability fixes, error reporting, error handling.
  * Updated package and build dependencies.

 -- Brendon Jones <brendonj@waikato.ac.nz>  Thu,  3 Nov 2016 17:31:31 +1300

nntsc (2.8-1) unstable; urgency=low

  * Minimise locking with better batch processing of messages.
  * Deal with changes to reported data by the new protocol buffers format.
  * Move directories around to allow "develop" installs from source.
  * Remove extraneous commands from debian/rules.

 -- Brendon Jones <brendonj@waikato.ac.nz>  Fri, 20 May 2016 11:12:37 +1200

nntsc (2.7-1) unstable; urgency=low

  * Each exporter client is now a separate thread.
  * Database queries by the exporter are now made using worker threads.
  * Improved robustness when clients disconnect.
  * Added dataparsers for all the existing AMP tests.
  * Enabled all the dataparser modules.
  * Replaced exporter to client pipe with a rabbit queue.
  * Change table structure to one-table-per-stream.

 -- Brendon Jones <brendonj@waikato.ac.nz>  Mon,  7 Sep 2015 17:26:52 +1200

nntsc (2.2-1) unstable; urgency=low

  * Install extra sample configuration.
  * Disabled amp and lpi modules, leaving only rrd enabled.
  * Update documentation with correct file locations.

 -- Brendon Jones <brendonj@waikato.ac.nz>  Mon, 24 Jun 2013 16:19:12 +1200

nntsc (2.1-1) unstable; urgency=low

  * Initial release

 -- Brendon Jones <brendonj@waikato.ac.nz>  Wed, 12 Jun 2013 15:52:10 +1200
